Pre-release — content may change.

Identities

Create a user identity for a person

POST
/user_identities

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/user_identities" \  -H "Content-Type: application/json" \  -d '{    "data": {      "type": "user_identities"    }  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "user_identities",    "attributes": {      "provider_type": "string",      "provider_slug": "string",      "provider_name": "string",      "external_id": "string",      "external_url": "https://login.example.com/users/abc-123",      "last_used_email_address": "user@example.com",      "preferred_email_address": "user@example.com",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "relationships": {      "person": {        "data": {          "type": "people",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/user_identities/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/person",          "related": "/user_identities/7247ad7d-9275-454b-9e3a-0570e403739e/person"        }      },      "user": {        "data": {          "type": "users",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/user_identities/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/user",          "related": "/user_identities/7247ad7d-9275-454b-9e3a-0570e403739e/user"        }      },      "user_identity_provider": {        "data": {          "type": "user_identity_providers",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/user_identities/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/user_identity_provider",          "related": "/user_identities/7247ad7d-9275-454b-9e3a-0570e403739e/user_identity_provider"        }      }    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}